Bug 868936 - Review Request: python-apsw - Another Python SQLite Wrapper
Review Request: python-apsw - Another Python SQLite Wrapper
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 868940
  Show dependency treegraph
 
Reported: 2012-10-22 09:56 EDT by Marcel Wysocki
Modified: 2015-08-24 09:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-15 06:46:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marcel Wysocki 2012-10-22 09:56:13 EDT
Spec URL: http://maci.satgnu.net/rpmbuild/SPECS/python-apsw.spec
SRPM URL: http://maci.satgnu.net/rpmbuild/SRPMS/python-apsw-3.7.11.r1-2.fc17.src.rpm
Description: APSW is a Python wrapper for the SQLite embedded relational database
engine. In contrast to other wrappers such as pysqlite it focuses on
being a minimal layer over SQLite attempting just to translate the
complete SQLite API into Python.
Fedora Account System Username: maci
Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4615511
Comment 2 Mario Blättermann 2012-10-27 09:39:58 EDT
Your files are 404, even the url http://maci.satgnu.net. Please have a look at the links.
Comment 3 Marcel Wysocki 2012-10-27 13:52:04 EDT
woops, fixed
Comment 4 Mario Blättermann 2012-10-27 14:36:31 EDT
Scratch build for Rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4631425


$ rpmlint -i -v *python-apsw.src: I: checking
python-apsw.src: W: spelling-error %description -l en_US pysqlite -> pyrites
The value of this tag appears to be misspelled. Please double-check.

python-apsw.src: W: invalid-license zlib/libpng License
The value of the License tag was not recognized.  Known values are: "AAL",
"Abstyles", "Adobe", "ADSL", "AFL", "AGPLv1", "AGPLv3", "AGPLv3 with
exceptions", "AMDPLPA", "AML", "AMPAS BSD", "APSL 2.0", "APSL 2.0+", "ARL",
"Artistic 2.0", "Artistic clarified", "ASL 1.0", "ASL 1.0+", "ASL 1.1", "ASL
1.1+", "ASL 2.0", "ASL 2.0+", "Bahyph", "Barr", "Beerware", "BeOpen",
"Bibtex", "BitTorrent", "Boost", "Borceux", "BSD", "BSD Protection", "BSD with
advertising", "BSD with attribution", "CATOSL", "CC0", "CeCILL", "CeCILL-B",
"CeCILL-C", "CDDL", "CNRI", "Condor", "Copyright only", "CPAL", "CPL",
"Crossword", "Crystal Stacker", "diffmark", "DOC", "Dotseqn", "DSDP",
"dvipdfm", "ECL 1.0", "ECL 2.0", "eCos", "EFL 2.0", "EFL 2.0+", "eGenix",
"Entessa", "EPL", "ERPL", "EU Datagrid", "EUPL 1.1", "Eurosym", "Fair", "FTL",
"Giftware", "GL2PS", "Glide", "Glulxe", "gnuplot", "GPL+", "GPL+ or Artistic",
"GPL+ with exceptions", "GPLv1", "GPLv2 or Artistic", "GPLv2+ or Artistic",
"GPLv2", "GPLv2 with exceptions", "GPLv2+", "GPLv2+ with exceptions", "GPLv3",
"GPLv3 with exceptions", "GPLv3+", "GPLv3+ with exceptions", "HaskellReport",
"IBM", "IJG", "ImageMagick", "iMatix", "Imlib2", "Intel ACPI", "Interbase",
"ISC", "Jabber", "JasPer", "JPython", "Julius", "Knuth", "Latex2e", "LBNL
BSD", "Leptonica", "LGPLv2", "LGPLv2 with exceptions", "LGPLv2+", "LGPLv2+ or
Artistic", "LGPLv2+ with exceptions", "LGPLv3", "LGPLv3 with exceptions",
"LGPLv3+", "LGPLv3+ with exceptions", "Lhcyr", "libtiff", "LLGPL", "Logica",
"LPL", "LPPL", "MakeIndex", "mecab-ipadic", "midnight", "MirOS", "MIT", "MIT
with advertising", "mod_macro", "Motosoto", "MPLv1.0", "MPLv1.0+", "MPLv1.1",
"MPLv1.1+", "MPLv2.0", "MS-PL", "MS-RL", "Naumen", "NCSA", "NetCDF",
"Netscape", "Newmat", "Newsletr", "NGPL", "NLPL", "Nokia", "NOSL", "Noweb",
"OML", "OpenLDAP", "OpenPBS", "OpenSSL", "OReilly", "OSL 1.0", "OSL 1.0+",
"OSL 1.1", "OSL 1.1+", "OSL 2.0", "OSL 2.0+", "OSL 2.1", "OSL 2.1+", "OSL
3.0", "OSL 3.0+", "Par", "Phorum", "PHP", "PlainTeX", "Plexus", "PostgreSQL",
"psfrag", "psutils", "Public Domain", "Python", "Qhull", "QPL", "Rdisc",
"RiceBSD", "Romio", "RPSL", "Rsfs", "Ruby", "Saxpath", "SCEA", "SCRIP",
"Sendmail", "Sleepycat", "SISSL", "SLIB", "SNIA", "SPL", "TCL", "Teeworlds",
"Threeparttable", "TMate", "TORQUEv1.1", "TOSL", "TPL", "UCD", "Vim", "VNLSL",
"VOSTROM", "VSL", "W3C", "Webmin", "Wsuipa", "WTFPL", "wxWidgets", "Xerox",
"xinetd", "xpp", "XSkat", "YPLv1.1", "Zed", "Zend", "zlib", "zlib with
acknowledgement", "ZPLv1.0", "ZPLv1.0+", "ZPLv2.0", "ZPLv2.0+", "ZPLv2.1",
"ZPLv2.1+", "CDL", "FBSDDL", "GFDL", "IEEE", "LDPL", "OFSFDL", "Open
Publication", "Public Use", "CC-BY", "CC-BY-ND", "CC-BY-SA", "DMTF", "DSL",
"EFML", "Free Art", "GeoGratis", "Green OpenMusic", "OAL", "AMS", "Arphic",
"Baekmuk", "Bitstream Vera", "DoubleStroke", "Hershey", "IPA", "Liberation",
"Lucida", "MgOpen", "mplus", "OFL", "PTFL", "STIX", "Utopia", "Wadalab",
"XANO", "Redistributable, no modification permitted", "Freely redistributable
without restriction".

python-apsw.src: I: checking-url http://code.google.com/p/apsw/ (timeout 10 seconds)
python-apsw.src: I: checking-url http://apsw.googlecode.com/files/apsw-3.7.11-r1.zip (timeout 10 seconds)
python-apsw.src: W: invalid-url Source0: http://apsw.googlecode.com/files/apsw-3.7.11-r1.zip HTTP Error 404: Not Found
The value should be a valid, public HTTP, HTTPS, or FTP URL.

python-apsw.i686: I: checking
python-apsw.i686: W: spelling-error %description -l en_US pysqlite -> pyrites
The value of this tag appears to be misspelled. Please double-check.

python-apsw.i686: W: invalid-license zlib/libpng License
The value of the License tag was not recognized.  Known values are: "AAL",
"Abstyles", "Adobe", "ADSL", "AFL", "AGPLv1", "AGPLv3", "AGPLv3 with
exceptions", "AMDPLPA", "AML", "AMPAS BSD", "APSL 2.0", "APSL 2.0+", "ARL",
"Artistic 2.0", "Artistic clarified", "ASL 1.0", "ASL 1.0+", "ASL 1.1", "ASL
1.1+", "ASL 2.0", "ASL 2.0+", "Bahyph", "Barr", "Beerware", "BeOpen",
"Bibtex", "BitTorrent", "Boost", "Borceux", "BSD", "BSD Protection", "BSD with
advertising", "BSD with attribution", "CATOSL", "CC0", "CeCILL", "CeCILL-B",
"CeCILL-C", "CDDL", "CNRI", "Condor", "Copyright only", "CPAL", "CPL",
"Crossword", "Crystal Stacker", "diffmark", "DOC", "Dotseqn", "DSDP",
"dvipdfm", "ECL 1.0", "ECL 2.0", "eCos", "EFL 2.0", "EFL 2.0+", "eGenix",
"Entessa", "EPL", "ERPL", "EU Datagrid", "EUPL 1.1", "Eurosym", "Fair", "FTL",
"Giftware", "GL2PS", "Glide", "Glulxe", "gnuplot", "GPL+", "GPL+ or Artistic",
"GPL+ with exceptions", "GPLv1", "GPLv2 or Artistic", "GPLv2+ or Artistic",
"GPLv2", "GPLv2 with exceptions", "GPLv2+", "GPLv2+ with exceptions", "GPLv3",
"GPLv3 with exceptions", "GPLv3+", "GPLv3+ with exceptions", "HaskellReport",
"IBM", "IJG", "ImageMagick", "iMatix", "Imlib2", "Intel ACPI", "Interbase",
"ISC", "Jabber", "JasPer", "JPython", "Julius", "Knuth", "Latex2e", "LBNL
BSD", "Leptonica", "LGPLv2", "LGPLv2 with exceptions", "LGPLv2+", "LGPLv2+ or
Artistic", "LGPLv2+ with exceptions", "LGPLv3", "LGPLv3 with exceptions",
"LGPLv3+", "LGPLv3+ with exceptions", "Lhcyr", "libtiff", "LLGPL", "Logica",
"LPL", "LPPL", "MakeIndex", "mecab-ipadic", "midnight", "MirOS", "MIT", "MIT
with advertising", "mod_macro", "Motosoto", "MPLv1.0", "MPLv1.0+", "MPLv1.1",
"MPLv1.1+", "MPLv2.0", "MS-PL", "MS-RL", "Naumen", "NCSA", "NetCDF",
"Netscape", "Newmat", "Newsletr", "NGPL", "NLPL", "Nokia", "NOSL", "Noweb",
"OML", "OpenLDAP", "OpenPBS", "OpenSSL", "OReilly", "OSL 1.0", "OSL 1.0+",
"OSL 1.1", "OSL 1.1+", "OSL 2.0", "OSL 2.0+", "OSL 2.1", "OSL 2.1+", "OSL
3.0", "OSL 3.0+", "Par", "Phorum", "PHP", "PlainTeX", "Plexus", "PostgreSQL",
"psfrag", "psutils", "Public Domain", "Python", "Qhull", "QPL", "Rdisc",
"RiceBSD", "Romio", "RPSL", "Rsfs", "Ruby", "Saxpath", "SCEA", "SCRIP",
"Sendmail", "Sleepycat", "SISSL", "SLIB", "SNIA", "SPL", "TCL", "Teeworlds",
"Threeparttable", "TMate", "TORQUEv1.1", "TOSL", "TPL", "UCD", "Vim", "VNLSL",
"VOSTROM", "VSL", "W3C", "Webmin", "Wsuipa", "WTFPL", "wxWidgets", "Xerox",
"xinetd", "xpp", "XSkat", "YPLv1.1", "Zed", "Zend", "zlib", "zlib with
acknowledgement", "ZPLv1.0", "ZPLv1.0+", "ZPLv2.0", "ZPLv2.0+", "ZPLv2.1",
"ZPLv2.1+", "CDL", "FBSDDL", "GFDL", "IEEE", "LDPL", "OFSFDL", "Open
Publication", "Public Use", "CC-BY", "CC-BY-ND", "CC-BY-SA", "DMTF", "DSL",
"EFML", "Free Art", "GeoGratis", "Green OpenMusic", "OAL", "AMS", "Arphic",
"Baekmuk", "Bitstream Vera", "DoubleStroke", "Hershey", "IPA", "Liberation",
"Lucida", "MgOpen", "mplus", "OFL", "PTFL", "STIX", "Utopia", "Wadalab",
"XANO", "Redistributable, no modification permitted", "Freely redistributable
without restriction".

python-apsw.i686: I: checking-url http://code.google.com/p/apsw/ (timeout 10 seconds)
python-apsw.i686: W: private-shared-object-provides /usr/lib/python2.7/site-packages/apsw.so apsw.so
A shared object soname provides is provided by a file in a path from which
other packages should not directly load shared objects from.  Such shared
objects should thus not be depended on and they should not result in provides
in the containing package.  Get rid of the provides if appropriate, for
example by filtering it out during build.  Note that in some cases this may
require disabling rpmbuild's internal dependency generator.

python-apsw.x86_64: I: checking
python-apsw.x86_64: W: spelling-error %description -l en_US pysqlite -> pyrites
The value of this tag appears to be misspelled. Please double-check.

python-apsw.x86_64: W: invalid-license zlib/libpng License
The value of the License tag was not recognized.  Known values are: "AAL",
"Abstyles", "Adobe", "ADSL", "AFL", "AGPLv1", "AGPLv3", "AGPLv3 with
exceptions", "AMDPLPA", "AML", "AMPAS BSD", "APSL 2.0", "APSL 2.0+", "ARL",
"Artistic 2.0", "Artistic clarified", "ASL 1.0", "ASL 1.0+", "ASL 1.1", "ASL
1.1+", "ASL 2.0", "ASL 2.0+", "Bahyph", "Barr", "Beerware", "BeOpen",
"Bibtex", "BitTorrent", "Boost", "Borceux", "BSD", "BSD Protection", "BSD with
advertising", "BSD with attribution", "CATOSL", "CC0", "CeCILL", "CeCILL-B",
"CeCILL-C", "CDDL", "CNRI", "Condor", "Copyright only", "CPAL", "CPL",
"Crossword", "Crystal Stacker", "diffmark", "DOC", "Dotseqn", "DSDP",
"dvipdfm", "ECL 1.0", "ECL 2.0", "eCos", "EFL 2.0", "EFL 2.0+", "eGenix",
"Entessa", "EPL", "ERPL", "EU Datagrid", "EUPL 1.1", "Eurosym", "Fair", "FTL",
"Giftware", "GL2PS", "Glide", "Glulxe", "gnuplot", "GPL+", "GPL+ or Artistic",
"GPL+ with exceptions", "GPLv1", "GPLv2 or Artistic", "GPLv2+ or Artistic",
"GPLv2", "GPLv2 with exceptions", "GPLv2+", "GPLv2+ with exceptions", "GPLv3",
"GPLv3 with exceptions", "GPLv3+", "GPLv3+ with exceptions", "HaskellReport",
"IBM", "IJG", "ImageMagick", "iMatix", "Imlib2", "Intel ACPI", "Interbase",
"ISC", "Jabber", "JasPer", "JPython", "Julius", "Knuth", "Latex2e", "LBNL
BSD", "Leptonica", "LGPLv2", "LGPLv2 with exceptions", "LGPLv2+", "LGPLv2+ or
Artistic", "LGPLv2+ with exceptions", "LGPLv3", "LGPLv3 with exceptions",
"LGPLv3+", "LGPLv3+ with exceptions", "Lhcyr", "libtiff", "LLGPL", "Logica",
"LPL", "LPPL", "MakeIndex", "mecab-ipadic", "midnight", "MirOS", "MIT", "MIT
with advertising", "mod_macro", "Motosoto", "MPLv1.0", "MPLv1.0+", "MPLv1.1",
"MPLv1.1+", "MPLv2.0", "MS-PL", "MS-RL", "Naumen", "NCSA", "NetCDF",
"Netscape", "Newmat", "Newsletr", "NGPL", "NLPL", "Nokia", "NOSL", "Noweb",
"OML", "OpenLDAP", "OpenPBS", "OpenSSL", "OReilly", "OSL 1.0", "OSL 1.0+",
"OSL 1.1", "OSL 1.1+", "OSL 2.0", "OSL 2.0+", "OSL 2.1", "OSL 2.1+", "OSL
3.0", "OSL 3.0+", "Par", "Phorum", "PHP", "PlainTeX", "Plexus", "PostgreSQL",
"psfrag", "psutils", "Public Domain", "Python", "Qhull", "QPL", "Rdisc",
"RiceBSD", "Romio", "RPSL", "Rsfs", "Ruby", "Saxpath", "SCEA", "SCRIP",
"Sendmail", "Sleepycat", "SISSL", "SLIB", "SNIA", "SPL", "TCL", "Teeworlds",
"Threeparttable", "TMate", "TORQUEv1.1", "TOSL", "TPL", "UCD", "Vim", "VNLSL",
"VOSTROM", "VSL", "W3C", "Webmin", "Wsuipa", "WTFPL", "wxWidgets", "Xerox",
"xinetd", "xpp", "XSkat", "YPLv1.1", "Zed", "Zend", "zlib", "zlib with
acknowledgement", "ZPLv1.0", "ZPLv1.0+", "ZPLv2.0", "ZPLv2.0+", "ZPLv2.1",
"ZPLv2.1+", "CDL", "FBSDDL", "GFDL", "IEEE", "LDPL", "OFSFDL", "Open
Publication", "Public Use", "CC-BY", "CC-BY-ND", "CC-BY-SA", "DMTF", "DSL",
"EFML", "Free Art", "GeoGratis", "Green OpenMusic", "OAL", "AMS", "Arphic",
"Baekmuk", "Bitstream Vera", "DoubleStroke", "Hershey", "IPA", "Liberation",
"Lucida", "MgOpen", "mplus", "OFL", "PTFL", "STIX", "Utopia", "Wadalab",
"XANO", "Redistributable, no modification permitted", "Freely redistributable
without restriction".

python-apsw.x86_64: I: checking-url http://code.google.com/p/apsw/ (timeout 10 seconds)
python-apsw.x86_64: W: private-shared-object-provides /usr/lib64/python2.7/site-packages/apsw.so apsw.so()(64bit)
A shared object soname provides is provided by a file in a path from which
other packages should not directly load shared objects from.  Such shared
objects should thus not be depended on and they should not result in provides
in the containing package.  Get rid of the provides if appropriate, for
example by filtering it out during build.  Note that in some cases this may
require disabling rpmbuild's internal dependency generator.

python-apsw-debuginfo.i686: I: checking
python-apsw-debuginfo.i686: W: invalid-license zlib/libpng License
The value of the License tag was not recognized.  Known values are: "AAL",
"Abstyles", "Adobe", "ADSL", "AFL", "AGPLv1", "AGPLv3", "AGPLv3 with
exceptions", "AMDPLPA", "AML", "AMPAS BSD", "APSL 2.0", "APSL 2.0+", "ARL",
"Artistic 2.0", "Artistic clarified", "ASL 1.0", "ASL 1.0+", "ASL 1.1", "ASL
1.1+", "ASL 2.0", "ASL 2.0+", "Bahyph", "Barr", "Beerware", "BeOpen",
"Bibtex", "BitTorrent", "Boost", "Borceux", "BSD", "BSD Protection", "BSD with
advertising", "BSD with attribution", "CATOSL", "CC0", "CeCILL", "CeCILL-B",
"CeCILL-C", "CDDL", "CNRI", "Condor", "Copyright only", "CPAL", "CPL",
"Crossword", "Crystal Stacker", "diffmark", "DOC", "Dotseqn", "DSDP",
"dvipdfm", "ECL 1.0", "ECL 2.0", "eCos", "EFL 2.0", "EFL 2.0+", "eGenix",
"Entessa", "EPL", "ERPL", "EU Datagrid", "EUPL 1.1", "Eurosym", "Fair", "FTL",
"Giftware", "GL2PS", "Glide", "Glulxe", "gnuplot", "GPL+", "GPL+ or Artistic",
"GPL+ with exceptions", "GPLv1", "GPLv2 or Artistic", "GPLv2+ or Artistic",
"GPLv2", "GPLv2 with exceptions", "GPLv2+", "GPLv2+ with exceptions", "GPLv3",
"GPLv3 with exceptions", "GPLv3+", "GPLv3+ with exceptions", "HaskellReport",
"IBM", "IJG", "ImageMagick", "iMatix", "Imlib2", "Intel ACPI", "Interbase",
"ISC", "Jabber", "JasPer", "JPython", "Julius", "Knuth", "Latex2e", "LBNL
BSD", "Leptonica", "LGPLv2", "LGPLv2 with exceptions", "LGPLv2+", "LGPLv2+ or
Artistic", "LGPLv2+ with exceptions", "LGPLv3", "LGPLv3 with exceptions",
"LGPLv3+", "LGPLv3+ with exceptions", "Lhcyr", "libtiff", "LLGPL", "Logica",
"LPL", "LPPL", "MakeIndex", "mecab-ipadic", "midnight", "MirOS", "MIT", "MIT
with advertising", "mod_macro", "Motosoto", "MPLv1.0", "MPLv1.0+", "MPLv1.1",
"MPLv1.1+", "MPLv2.0", "MS-PL", "MS-RL", "Naumen", "NCSA", "NetCDF",
"Netscape", "Newmat", "Newsletr", "NGPL", "NLPL", "Nokia", "NOSL", "Noweb",
"OML", "OpenLDAP", "OpenPBS", "OpenSSL", "OReilly", "OSL 1.0", "OSL 1.0+",
"OSL 1.1", "OSL 1.1+", "OSL 2.0", "OSL 2.0+", "OSL 2.1", "OSL 2.1+", "OSL
3.0", "OSL 3.0+", "Par", "Phorum", "PHP", "PlainTeX", "Plexus", "PostgreSQL",
"psfrag", "psutils", "Public Domain", "Python", "Qhull", "QPL", "Rdisc",
"RiceBSD", "Romio", "RPSL", "Rsfs", "Ruby", "Saxpath", "SCEA", "SCRIP",
"Sendmail", "Sleepycat", "SISSL", "SLIB", "SNIA", "SPL", "TCL", "Teeworlds",
"Threeparttable", "TMate", "TORQUEv1.1", "TOSL", "TPL", "UCD", "Vim", "VNLSL",
"VOSTROM", "VSL", "W3C", "Webmin", "Wsuipa", "WTFPL", "wxWidgets", "Xerox",
"xinetd", "xpp", "XSkat", "YPLv1.1", "Zed", "Zend", "zlib", "zlib with
acknowledgement", "ZPLv1.0", "ZPLv1.0+", "ZPLv2.0", "ZPLv2.0+", "ZPLv2.1",
"ZPLv2.1+", "CDL", "FBSDDL", "GFDL", "IEEE", "LDPL", "OFSFDL", "Open
Publication", "Public Use", "CC-BY", "CC-BY-ND", "CC-BY-SA", "DMTF", "DSL",
"EFML", "Free Art", "GeoGratis", "Green OpenMusic", "OAL", "AMS", "Arphic",
"Baekmuk", "Bitstream Vera", "DoubleStroke", "Hershey", "IPA", "Liberation",
"Lucida", "MgOpen", "mplus", "OFL", "PTFL", "STIX", "Utopia", "Wadalab",
"XANO", "Redistributable, no modification permitted", "Freely redistributable
without restriction".

python-apsw-debuginfo.i686: I: checking-url http://code.google.com/p/apsw/ (timeout 10 seconds)
python-apsw-debuginfo.x86_64: I: checking
python-apsw-debuginfo.x86_64: W: invalid-license zlib/libpng License
The value of the License tag was not recognized.  Known values are: "AAL",
"Abstyles", "Adobe", "ADSL", "AFL", "AGPLv1", "AGPLv3", "AGPLv3 with
exceptions", "AMDPLPA", "AML", "AMPAS BSD", "APSL 2.0", "APSL 2.0+", "ARL",
"Artistic 2.0", "Artistic clarified", "ASL 1.0", "ASL 1.0+", "ASL 1.1", "ASL
1.1+", "ASL 2.0", "ASL 2.0+", "Bahyph", "Barr", "Beerware", "BeOpen",
"Bibtex", "BitTorrent", "Boost", "Borceux", "BSD", "BSD Protection", "BSD with
advertising", "BSD with attribution", "CATOSL", "CC0", "CeCILL", "CeCILL-B",
"CeCILL-C", "CDDL", "CNRI", "Condor", "Copyright only", "CPAL", "CPL",
"Crossword", "Crystal Stacker", "diffmark", "DOC", "Dotseqn", "DSDP",
"dvipdfm", "ECL 1.0", "ECL 2.0", "eCos", "EFL 2.0", "EFL 2.0+", "eGenix",
"Entessa", "EPL", "ERPL", "EU Datagrid", "EUPL 1.1", "Eurosym", "Fair", "FTL",
"Giftware", "GL2PS", "Glide", "Glulxe", "gnuplot", "GPL+", "GPL+ or Artistic",
"GPL+ with exceptions", "GPLv1", "GPLv2 or Artistic", "GPLv2+ or Artistic",
"GPLv2", "GPLv2 with exceptions", "GPLv2+", "GPLv2+ with exceptions", "GPLv3",
"GPLv3 with exceptions", "GPLv3+", "GPLv3+ with exceptions", "HaskellReport",
"IBM", "IJG", "ImageMagick", "iMatix", "Imlib2", "Intel ACPI", "Interbase",
"ISC", "Jabber", "JasPer", "JPython", "Julius", "Knuth", "Latex2e", "LBNL
BSD", "Leptonica", "LGPLv2", "LGPLv2 with exceptions", "LGPLv2+", "LGPLv2+ or
Artistic", "LGPLv2+ with exceptions", "LGPLv3", "LGPLv3 with exceptions",
"LGPLv3+", "LGPLv3+ with exceptions", "Lhcyr", "libtiff", "LLGPL", "Logica",
"LPL", "LPPL", "MakeIndex", "mecab-ipadic", "midnight", "MirOS", "MIT", "MIT
with advertising", "mod_macro", "Motosoto", "MPLv1.0", "MPLv1.0+", "MPLv1.1",
"MPLv1.1+", "MPLv2.0", "MS-PL", "MS-RL", "Naumen", "NCSA", "NetCDF",
"Netscape", "Newmat", "Newsletr", "NGPL", "NLPL", "Nokia", "NOSL", "Noweb",
"OML", "OpenLDAP", "OpenPBS", "OpenSSL", "OReilly", "OSL 1.0", "OSL 1.0+",
"OSL 1.1", "OSL 1.1+", "OSL 2.0", "OSL 2.0+", "OSL 2.1", "OSL 2.1+", "OSL
3.0", "OSL 3.0+", "Par", "Phorum", "PHP", "PlainTeX", "Plexus", "PostgreSQL",
"psfrag", "psutils", "Public Domain", "Python", "Qhull", "QPL", "Rdisc",
"RiceBSD", "Romio", "RPSL", "Rsfs", "Ruby", "Saxpath", "SCEA", "SCRIP",
"Sendmail", "Sleepycat", "SISSL", "SLIB", "SNIA", "SPL", "TCL", "Teeworlds",
"Threeparttable", "TMate", "TORQUEv1.1", "TOSL", "TPL", "UCD", "Vim", "VNLSL",
"VOSTROM", "VSL", "W3C", "Webmin", "Wsuipa", "WTFPL", "wxWidgets", "Xerox",
"xinetd", "xpp", "XSkat", "YPLv1.1", "Zed", "Zend", "zlib", "zlib with
acknowledgement", "ZPLv1.0", "ZPLv1.0+", "ZPLv2.0", "ZPLv2.0+", "ZPLv2.1",
"ZPLv2.1+", "CDL", "FBSDDL", "GFDL", "IEEE", "LDPL", "OFSFDL", "Open
Publication", "Public Use", "CC-BY", "CC-BY-ND", "CC-BY-SA", "DMTF", "DSL",
"EFML", "Free Art", "GeoGratis", "Green OpenMusic", "OAL", "AMS", "Arphic",
"Baekmuk", "Bitstream Vera", "DoubleStroke", "Hershey", "IPA", "Liberation",
"Lucida", "MgOpen", "mplus", "OFL", "PTFL", "STIX", "Utopia", "Wadalab",
"XANO", "Redistributable, no modification permitted", "Freely redistributable
without restriction".

python-apsw-debuginfo.x86_64: I: checking-url http://code.google.com/p/apsw/ (timeout 10 seconds)
python-apsw.spec: I: checking-url http://apsw.googlecode.com/files/apsw-3.7.11-r1.zip (timeout 10 seconds)
python-apsw.spec: W: invalid-url Source0: http://apsw.googlecode.com/files/apsw-3.7.11-r1.zip HTTP Error 404: Not Found
The value should be a valid, public HTTP, HTTPS, or FTP URL.

5 packages and 1 specfiles checked; 0 errors, 12 warnings.


The spelling error is ignorable.


The license declaration is invalid. Well, the full name is correct, but you have to use the short name here:

License: zlib


The source package URL is OK, I can download it using wget without problems. It's a common problem for Googlecode locations.


For the private-shared-object-provides warning, just filter it out using the rpm filtering system.


Consider to use %global instead of %define:
http://fedoraproject.org/wiki/Packaging:Guidelines#.25global_preferred_over_.25define


It is unneeded to define python as an explicit requirement. This will be picked up automatically during the build process.


Seems to be this package would also build with Python v3. Give it a try.
Comment 6 Mario Blättermann 2012-10-28 12:48:06 EDT
$ rpmlint -i -v *
...

python-apsw.spec:60: W: macro-in-%changelog %global
Macros are expanded in %changelog too, which can in unfortunate cases lead to
the package not building at all, or other subtle unexpected conditions that
affect the build.  Even when that doesn't happen, the expansion results in
possibly "rewriting history" on subsequent package revisions and generally odd
entries eg. in source rpms, which is rarely wanted.  Avoid use of macros in
%changelog altogether, or use two '%'s to escape them, like '%%foo'.

python-apsw.spec:60: W: macro-in-%changelog %define
Macros are expanded in %changelog too, which can in unfortunate cases lead to
the package not building at all, or other subtle unexpected conditions that
affect the build.  Even when that doesn't happen, the expansion results in
possibly "rewriting history" on subsequent package revisions and generally odd
entries eg. in source rpms, which is rarely wanted.  Avoid use of macros in
%changelog altogether, or use two '%'s to escape them, like '%%foo'.


Please escape the macros in %changelog, and your package is ready for a full review (and for approval, too).
Comment 7 Marcel Wysocki 2012-10-28 17:49:09 EDT
fixed the issue, duh this was a stupid one lol

Update:

Spec URL: http://maci.satgnu.net/rpmbuild/SPECS/python-apsw.spec
SRPM URL: http://maci.satgnu.net/rpmbuild/SRPMS/python-apsw-3.7.11.r1-5.fc17.src.rpm
Comment 8 Mario Blättermann 2012-10-29 08:14:39 EDT
New scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4635014

$ rpmlint -i -v *
python-apsw.src: I: checking
python-apsw.src: W: spelling-error %description -l en_US pysqlite -> pyrites
The value of this tag appears to be misspelled. Please double-check.

python-apsw.src: I: checking-url http://code.google.com/p/apsw/ (timeout 10 seconds)
python-apsw.src: I: checking-url http://apsw.googlecode.com/files/apsw-3.7.11-r1.zip (timeout 10 seconds)
python-apsw.src: W: invalid-url Source0: http://apsw.googlecode.com/files/apsw-3.7.11-r1.zip HTTP Error 404: Not Found
The value should be a valid, public HTTP, HTTPS, or FTP URL.

python-apsw.i686: I: checking
python-apsw.i686: W: spelling-error %description -l en_US pysqlite -> pyrites
The value of this tag appears to be misspelled. Please double-check.

python-apsw.i686: I: checking-url http://code.google.com/p/apsw/ (timeout 10 seconds)
python-apsw.x86_64: I: checking
python-apsw.x86_64: W: spelling-error %description -l en_US pysqlite -> pyrites
The value of this tag appears to be misspelled. Please double-check.

python-apsw.x86_64: I: checking-url http://code.google.com/p/apsw/ (timeout 10 seconds)
python-apsw-debuginfo.i686: I: checking
python-apsw-debuginfo.i686: I: checking-url http://code.google.com/p/apsw/ (timeout 10 seconds)
python-apsw-debuginfo.x86_64: I: checking
python-apsw-debuginfo.x86_64: I: checking-url http://code.google.com/p/apsw/ (timeout 10 seconds)
python-apsw.spec: I: checking-url http://apsw.googlecode.com/files/apsw-3.7.11-r1.zip (timeout 10 seconds)
python-apsw.spec: W: invalid-url Source0: http://apsw.googlecode.com/files/apsw-3.7.11-r1.zip HTTP Error 404: Not Found
The value should be a valid, public HTTP, HTTPS, or FTP URL.

5 packages and 1 specfiles checked; 0 errors, 5 warnings.


Ignorable issues, as already discussed.


Still some objections:

You have a -doc subpackage, but no files for it, that's why it won't be built. BTW, do we need such a separate doc package really? Moreover, the license there is still "zlib/libpng license" instead of just "zlib". In general, if the docs are not licensed differently from the main package, you won't need a license tag for that subpackage at all.

Identical descriptions for main and doc package don't make sense. At least the -doc description should contain a hint that it is a documentation-only package. And it is up to you to decide if the doc package should depend on the main package.
Comment 9 Marcel Wysocki 2012-10-29 09:33:15 EDT
removed the -doc package, we dont really need it

thank you for your patience :)

Update:

Spec URL: http://maci.satgnu.net/rpmbuild/SPECS/python-apsw.spec
SRPM URL: http://maci.satgnu.net/rpmbuild/SRPMS/python-apsw-3.7.11.r1-6.fc17.src.rpm
Comment 10 Mario Blättermann 2012-10-29 16:45:29 EDT
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4637179

$ rpmlint -i -v *
python-apsw.src: I: checking
python-apsw.src: W: spelling-error %description -l en_US pysqlite -> pyrites
The value of this tag appears to be misspelled. Please double-check.

python-apsw.src: I: checking-url http://code.google.com/p/apsw/ (timeout 10 seconds)
python-apsw.src: I: checking-url http://apsw.googlecode.com/files/apsw-3.7.11-r1.zip (timeout 10 seconds)
python-apsw.src: W: invalid-url Source0: http://apsw.googlecode.com/files/apsw-3.7.11-r1.zip HTTP Error 404: Not Found
The value should be a valid, public HTTP, HTTPS, or FTP URL.

python-apsw.i686: I: checking
python-apsw.i686: W: spelling-error %description -l en_US pysqlite -> pyrites
The value of this tag appears to be misspelled. Please double-check.

python-apsw.i686: I: checking-url http://code.google.com/p/apsw/ (timeout 10 seconds)
python-apsw.x86_64: I: checking
python-apsw.x86_64: W: spelling-error %description -l en_US pysqlite -> pyrites
The value of this tag appears to be misspelled. Please double-check.

python-apsw.x86_64: I: checking-url http://code.google.com/p/apsw/ (timeout 10 seconds)
python-apsw-debuginfo.i686: I: checking
python-apsw-debuginfo.i686: I: checking-url http://code.google.com/p/apsw/ (timeout 10 seconds)
python-apsw-debuginfo.x86_64: I: checking
python-apsw-debuginfo.x86_64: I: checking-url http://code.google.com/p/apsw/ (timeout 10 seconds)
python-apsw.spec: I: checking-url http://apsw.googlecode.com/files/apsw-3.7.11-r1.zip (timeout 10 seconds)
python-apsw.spec: W: invalid-url Source0: http://apsw.googlecode.com/files/apsw-3.7.11-r1.zip HTTP Error 404: Not Found
The value should be a valid, public HTTP, HTTPS, or FTP URL.

5 packages and 1 specfiles checked; 0 errors, 5 warnings.

No issues anymore.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    zlib
[.] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    24fb23531500a5a34102d59c3f404735d2123b7eff7e24176db4a7a777df56c4  apsw-3.7.11-r1.zip
    24fb23531500a5a34102d59c3f404735d2123b7eff7e24176db4a7a777df56c4  apsw-3.7.11-r1.zip.orig

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[.] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.

----------------

PACKAGE APPROVED

----------------
Comment 11 Mario Blättermann 2012-10-30 09:41:01 EDT
Still one issue:

Replace python-devel with python2-devel in BR, according to the guidelines. You can do this just before you import your package into the Git repo.
Comment 12 Marcel Wysocki 2012-10-30 10:20:20 EDT
New Package SCM Request
=======================
Package Name: python-apsw
Short Another Python SQLite Wrapper
Owners: maci
Branches: f17 f18 f19 el6
InitialCC:
Comment 13 Gwyn Ciesla 2012-10-30 10:36:36 EDT
Git done (by process-git-requests).
Comment 14 Fedora Update System 2012-10-30 11:58:57 EDT
python-apsw-3.7.11.r1-7.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-apsw-3.7.11.r1-7.fc17
Comment 15 Fedora Update System 2012-10-30 12:02:20 EDT
python-apsw-3.7.11.r1-7.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-apsw-3.7.11.r1-7.fc18
Comment 17 Fedora Update System 2012-10-30 16:15:27 EDT
python-apsw-3.7.11.r1-7.fc18 has been pushed to the Fedora 18 testing repository.
Comment 18 Marcel Wysocki 2015-08-24 04:24:01 EDT
Package Change Request
======================
Package Name: python-apsw
New Branches: epel7
Owners: maci
Comment 19 Gwyn Ciesla 2015-08-24 09:16:32 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.